[Touch-packages] [Bug 1892290] Re: PXE load Focal initrd.img-5.4.0-42-generic always timeout

2020-10-19 Thread cleary
Thanks! and also for the tip on `mknetdir` - I will be checking it out!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1892290

Title:
  PXE load Focal initrd.img-5.4.0-42-generic always timeout

Status in grub2 package in Ubuntu:
  Confirmed
Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  PXE booting Focal initrd always gets a timeout, but PXE booting Bionic initrd 
works
  error: timeout reading `initrd.img-5.4.0-42-generic'.

  grub.cfg
  
  menuentry "boot_iscsi"  {
  linux vmlinuz-5.4.0-42-generic  ...
  initrd initrd.img-5.4.0-42-generic
  }

  grub, kernel and initrd get from Focal boot dir
  $ cp /usr/lib/grub/arm64-efi-signed/grubnetaa64.efi.signed 
~/tftproot/grubaa64.efi
  $ cp /boot/vmlinuz-5.4.0-42-generic  ~/tftproot/
  $ cp /boot/initrd.img-5.4.0-42-generic ~/tftproot/

  hardware
  
  Real aarch64 server or qemu-system-aarch64 machine

  software
  
  $ apt search grub-efi-arm64
  Sorting... Done
  Full Text Search... Done
  grub-efi-arm64/focal-updates,focal-security,now 2.04-1ubuntu26.2 arm64 
[installed]
GRand Unified Bootloader, version 2 (ARM64 UEFI version)

  grub-efi-arm64-bin/focal-updates,focal-security,now 2.04-1ubuntu26.2 arm64 
[installed,automatic]
GRand Unified Bootloader, version 2 (ARM64 UEFI modules)

  grub-efi-arm64-dbg/focal-updates,focal-security 2.04-1ubuntu26.2 arm64
GRand Unified Bootloader, version 2 (ARM64 UEFI debug files)

  grub-efi-arm64-signed/focal-updates,focal-security,now 
1.142.4+2.04-1ubuntu26.2 arm64 [installed]
GRand Unified Bootloader, version 2 (EFI-ARM64 version, signed)

  grub-efi-arm64-signed-template/focal-updates,focal-security 2.04-1ubuntu26.2 
arm64
GRand Unified Bootloader, version 2 (ARM64 UEFI signing template)

  $ lsb_release -a
  No LSB modules are available.
  Distributor ID: Ubuntu
  Description:Ubuntu 20.04 LTS
  Release:20.04
  Codename:   focal
  $ uname -a
  Linux j12-d05-07 5.4.0-42-generic #1 SMP Tue Jul 7 02:48:00 GMT 2020 aarch64 
aarch64 aarch64 GNU/Linux

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1892290/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1892290] Re: PXE load Focal initrd.img-5.4.0-42-generic always timeout

2020-10-11 Thread cleary
Oh I forgot to mention, I had some issues getting past the build-tests,
so I used this switch:

$ DEB_BUILD_OPTIONS=nocheck dpkg-buildpackage -rfakeroot -b

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1892290

Title:
  PXE load Focal initrd.img-5.4.0-42-generic always timeout

Status in grub2 package in Ubuntu:
  Confirmed
Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  PXE booting Focal initrd always gets a timeout, but PXE booting Bionic initrd 
works
  error: timeout reading `initrd.img-5.4.0-42-generic'.

  grub.cfg
  
  menuentry "boot_iscsi"  {
  linux vmlinuz-5.4.0-42-generic  ...
  initrd initrd.img-5.4.0-42-generic
  }

  grub, kernel and initrd get from Focal boot dir
  $ cp /usr/lib/grub/arm64-efi-signed/grubnetaa64.efi.signed 
~/tftproot/grubaa64.efi
  $ cp /boot/vmlinuz-5.4.0-42-generic  ~/tftproot/
  $ cp /boot/initrd.img-5.4.0-42-generic ~/tftproot/

  hardware
  
  Real aarch64 server or qemu-system-aarch64 machine

  software
  
  $ apt search grub-efi-arm64
  Sorting... Done
  Full Text Search... Done
  grub-efi-arm64/focal-updates,focal-security,now 2.04-1ubuntu26.2 arm64 
[installed]
GRand Unified Bootloader, version 2 (ARM64 UEFI version)

  grub-efi-arm64-bin/focal-updates,focal-security,now 2.04-1ubuntu26.2 arm64 
[installed,automatic]
GRand Unified Bootloader, version 2 (ARM64 UEFI modules)

  grub-efi-arm64-dbg/focal-updates,focal-security 2.04-1ubuntu26.2 arm64
GRand Unified Bootloader, version 2 (ARM64 UEFI debug files)

  grub-efi-arm64-signed/focal-updates,focal-security,now 
1.142.4+2.04-1ubuntu26.2 arm64 [installed]
GRand Unified Bootloader, version 2 (EFI-ARM64 version, signed)

  grub-efi-arm64-signed-template/focal-updates,focal-security 2.04-1ubuntu26.2 
arm64
GRand Unified Bootloader, version 2 (ARM64 UEFI signing template)

  $ lsb_release -a
  No LSB modules are available.
  Distributor ID: Ubuntu
  Description:Ubuntu 20.04 LTS
  Release:20.04
  Codename:   focal
  $ uname -a
  Linux j12-d05-07 5.4.0-42-generic #1 SMP Tue Jul 7 02:48:00 GMT 2020 aarch64 
aarch64 aarch64 GNU/Linux

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1892290/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1892290] Re: PXE load Focal initrd.img-5.4.0-42-generic always timeout

2020-10-11 Thread cleary
hi @xinliang - thanks for raising this bug, and for the info. 
I've got my way through to a grub build (I'm going to append some extra notes 
to your instructions) but, I'm unclear about where the: 

$ sudo apt install ./*.deb

is supposed to be applied - are you doing this on your pxe/tftp server?
Or does this need to be in the image that is being netbooted? (or both?)

If it's going on the pxe/tftp server, what files is it
providing/replacing to resolve the bug (ie is it updating a bootx64.efi
image)?


As promised - a little extra detail on the build notes:

$ git clone -b applied/ubuntu/focal-updates 
https://git.launchpad.net/ubuntu/+source/grub2
$ cd grub2
$ git cherry-pick a6838bbc6726ad624bd2b94991f690b8e9d23c69 # this will throw an 
error 
$ git remote add upstream https://git.savannah.gnu.org/git/grub.git
$ git fetch upstream
$ git cherry-pick a6838bbc6726ad624bd2b94991f690b8e9d23c69
$ dpkg-buildpackage -rfakeroot -b

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1892290

Title:
  PXE load Focal initrd.img-5.4.0-42-generic always timeout

Status in grub2 package in Ubuntu:
  Confirmed
Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  PXE booting Focal initrd always gets a timeout, but PXE booting Bionic initrd 
works
  error: timeout reading `initrd.img-5.4.0-42-generic'.

  grub.cfg
  
  menuentry "boot_iscsi"  {
  linux vmlinuz-5.4.0-42-generic  ...
  initrd initrd.img-5.4.0-42-generic
  }

  grub, kernel and initrd get from Focal boot dir
  $ cp /usr/lib/grub/arm64-efi-signed/grubnetaa64.efi.signed 
~/tftproot/grubaa64.efi
  $ cp /boot/vmlinuz-5.4.0-42-generic  ~/tftproot/
  $ cp /boot/initrd.img-5.4.0-42-generic ~/tftproot/

  hardware
  
  Real aarch64 server or qemu-system-aarch64 machine

  software
  
  $ apt search grub-efi-arm64
  Sorting... Done
  Full Text Search... Done
  grub-efi-arm64/focal-updates,focal-security,now 2.04-1ubuntu26.2 arm64 
[installed]
GRand Unified Bootloader, version 2 (ARM64 UEFI version)

  grub-efi-arm64-bin/focal-updates,focal-security,now 2.04-1ubuntu26.2 arm64 
[installed,automatic]
GRand Unified Bootloader, version 2 (ARM64 UEFI modules)

  grub-efi-arm64-dbg/focal-updates,focal-security 2.04-1ubuntu26.2 arm64
GRand Unified Bootloader, version 2 (ARM64 UEFI debug files)

  grub-efi-arm64-signed/focal-updates,focal-security,now 
1.142.4+2.04-1ubuntu26.2 arm64 [installed]
GRand Unified Bootloader, version 2 (EFI-ARM64 version, signed)

  grub-efi-arm64-signed-template/focal-updates,focal-security 2.04-1ubuntu26.2 
arm64
GRand Unified Bootloader, version 2 (ARM64 UEFI signing template)

  $ lsb_release -a
  No LSB modules are available.
  Distributor ID: Ubuntu
  Description:Ubuntu 20.04 LTS
  Release:20.04
  Codename:   focal
  $ uname -a
  Linux j12-d05-07 5.4.0-42-generic #1 SMP Tue Jul 7 02:48:00 GMT 2020 aarch64 
aarch64 aarch64 GNU/Linux

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1892290/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1762780] Re: gst-plugin-scanner crashed with signal 7 in memset()

2018-04-10 Thread Sean Cleary
** Description changed:

- Xfce Panel Switch was the only application I had open.  If by chance
- it's not in the attached datadumps, I'm trying the 20180410 xubuntu
- bionic daily build.
+ Xfce Panel Switch was the only application I had open.  If by chance it's not 
in the attached datadumps, I'm trying the 20180410 xubuntu bionic daily build.
+ Update: this occurred after installation failed.  These problems may be due 
to the usb drive, made with Rufus on Win 7.  I haven't had so many problems 
using linux-made drives.
  
  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: libgstreamer1.0-0 1.14.0-1
  ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
  Uname: Linux 4.15.0-13-generic x86_64
  ApportVersion: 2.20.9-0ubuntu4
  Architecture: amd64
  CasperVersion: 1.393
  Date: Tue Apr 10 16:23:52 2018
  ExecutablePath: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner
  LiveMediaBuild: Xubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180410)
  ProcCmdline: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner -l 
/usr/lib/x86_64-linux-gnu/tumbler-1/tumblerd
  ProcEnviron:
-  SHELL=/bin/bash
-  XDG_RUNTIME_DIR=
-  PATH=(custom, no user)
-  LANG=en_US.UTF-8
+  SHELL=/bin/bash
+  XDG_RUNTIME_DIR=
+  PATH=(custom, no user)
+  LANG=en_US.UTF-8
  Signal: 7
  SourcePackage: gstreamer1.0
  StacktraceTop:
-  memset () at ../sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S:186
-  _dl_map_segments (loader=0x7ffd5f9af650, has_holes=, 
maplength=, nloadcmds=2, loadcmds=, 
type=, header=, fd=, 
l=0x557b3af33280) at ./dl-map-segments.h:131
-  _dl_map_object_from_fd (name=name@entry=0x7f81e7d98acf "libgomp.so.1", 
origname=origname@entry=0x0, fd=, fbp=fbp@entry=0x7ffd5f9af990, 
realname=, loader=loader@entry=0x557b3af2feb0, l_type=, mode=, stack_endp=, nsid=) 
at dl-load.c:1126
-  _dl_map_object (loader=0x557b3af2feb0, name=0x7f81e7d98acf "libgomp.so.1", 
type=2, trace_mode=0, mode=, nsid=) at 
dl-load.c:2389
-  openaux (a=a@entry=0x7ffd5f9b1020) at dl-deps.c:63
+  memset () at ../sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S:186
+  _dl_map_segments (loader=0x7ffd5f9af650, has_holes=, 
maplength=, nloadcmds=2, loadcmds=, 
type=, header=, fd=, 
l=0x557b3af33280) at ./dl-map-segments.h:131
+  _dl_map_object_from_fd (name=name@entry=0x7f81e7d98acf "libgomp.so.1", 
origname=origname@entry=0x0, fd=, fbp=fbp@entry=0x7ffd5f9af990, 
realname=, loader=loader@entry=0x557b3af2feb0, l_type=, mode=, stack_endp=, nsid=) 
at dl-load.c:1126
+  _dl_map_object (loader=0x557b3af2feb0, name=0x7f81e7d98acf "libgomp.so.1", 
type=2, trace_mode=0, mode=, nsid=) at 
dl-load.c:2389
+  openaux (a=a@entry=0x7ffd5f9b1020) at dl-deps.c:63
  Title: gst-plugin-scanner crashed with signal 7 in memset()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

** Description changed:

  Xfce Panel Switch was the only application I had open.  If by chance it's not 
in the attached datadumps, I'm trying the 20180410 xubuntu bionic daily build.
- Update: this occurred after installation failed.  These problems may be due 
to the usb drive, made with Rufus on Win 7.  I haven't had so many problems 
using linux-made drives.
+ Update: this also occurred after installation failed.  These problems may be 
due to the usb drive, made with Rufus on Win 7.  I haven't had so many problems 
using linux-made drives.
  
  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: libgstreamer1.0-0 1.14.0-1
  ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
  Uname: Linux 4.15.0-13-generic x86_64
  ApportVersion: 2.20.9-0ubuntu4
  Architecture: amd64
  CasperVersion: 1.393
  Date: Tue Apr 10 16:23:52 2018
  ExecutablePath: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner
  LiveMediaBuild: Xubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180410)
  ProcCmdline: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner -l 
/usr/lib/x86_64-linux-gnu/tumbler-1/tumblerd
  ProcEnviron:
   SHELL=/bin/bash
   XDG_RUNTIME_DIR=
   PATH=(custom, no user)
   LANG=en_US.UTF-8
  Signal: 7
  SourcePackage: gstreamer1.0
  StacktraceTop:
   memset () at ../sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S:186
   _dl_map_segments (loader=0x7ffd5f9af650, has_holes=, 
maplength=, nloadcmds=2, loadcmds=, 
type=, header=, fd=, 
l=0x557b3af33280) at ./dl-map-segments.h:131
   _dl_map_object_from_fd (name=name@entry=0x7f81e7d98acf "libgomp.so.1", 
origname=origname@entry=0x0, fd=, fbp=fbp@entry=0x7ffd5f9af990, 
realname=, loader=loader@entry=0x557b3af2feb0, l_type=, mode=, stack_endp=, nsid=) 
at dl-load.c:1126
   _dl_map_object (loader=0x557b3af2feb0, name=0x7f81e7d98acf "libgomp.so.1", 
type=2, trace_mode=0, mode=, nsid=) at 
dl-load.c:2389
   openaux (a=a@entry=0x7ffd5f9b1020) at dl-deps.c:63
  Title: gst-plugin-scanner crashed with signal 7 in memset()
  UpgradeStatus: No upgrade log present 

[Touch-packages] [Bug 1762780] [NEW] gst-plugin-scanner crashed with signal 7 in memset()

2018-04-10 Thread Sean Cleary
Public bug reported:

Xfce Panel Switch was the only application I had open.  If by chance
it's not in the attached datadumps, I'm trying the 20180410 xubuntu
bionic daily build.

ProblemType: Crash
DistroRelease: Ubuntu 18.04
Package: libgstreamer1.0-0 1.14.0-1
ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
Uname: Linux 4.15.0-13-generic x86_64
ApportVersion: 2.20.9-0ubuntu4
Architecture: amd64
CasperVersion: 1.393
Date: Tue Apr 10 16:23:52 2018
ExecutablePath: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner
LiveMediaBuild: Xubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180410)
ProcCmdline: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner -l 
/usr/lib/x86_64-linux-gnu/tumbler-1/tumblerd
ProcEnviron:
 SHELL=/bin/bash
 XDG_RUNTIME_DIR=
 PATH=(custom, no user)
 LANG=en_US.UTF-8
Signal: 7
SourcePackage: gstreamer1.0
StacktraceTop:
 memset () at ../sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S:186
 _dl_map_segments (loader=0x7ffd5f9af650, has_holes=, 
maplength=, nloadcmds=2, loadcmds=, 
type=, header=, fd=, 
l=0x557b3af33280) at ./dl-map-segments.h:131
 _dl_map_object_from_fd (name=name@entry=0x7f81e7d98acf "libgomp.so.1", 
origname=origname@entry=0x0, fd=, fbp=fbp@entry=0x7ffd5f9af990, 
realname=, loader=loader@entry=0x557b3af2feb0, l_type=, mode=, stack_endp=, nsid=) 
at dl-load.c:1126
 _dl_map_object (loader=0x557b3af2feb0, name=0x7f81e7d98acf "libgomp.so.1", 
type=2, trace_mode=0, mode=, nsid=) at 
dl-load.c:2389
 openaux (a=a@entry=0x7ffd5f9b1020) at dl-deps.c:63
Title: gst-plugin-scanner crashed with signal 7 in memset()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

** Affects: gstreamer1.0 (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-crash bionic need-amd64-retrace

** Information type changed from Private to Public

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gstreamer1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1762780

Title:
  gst-plugin-scanner crashed with signal 7 in memset()

Status in gstreamer1.0 package in Ubuntu:
  New

Bug description:
  Xfce Panel Switch was the only application I had open.  If by chance
  it's not in the attached datadumps, I'm trying the 20180410 xubuntu
  bionic daily build.

  ProblemType: Crash
  DistroRelease: Ubuntu 18.04
  Package: libgstreamer1.0-0 1.14.0-1
  ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
  Uname: Linux 4.15.0-13-generic x86_64
  ApportVersion: 2.20.9-0ubuntu4
  Architecture: amd64
  CasperVersion: 1.393
  Date: Tue Apr 10 16:23:52 2018
  ExecutablePath: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner
  LiveMediaBuild: Xubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180410)
  ProcCmdline: 
/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner -l 
/usr/lib/x86_64-linux-gnu/tumbler-1/tumblerd
  ProcEnviron:
   SHELL=/bin/bash
   XDG_RUNTIME_DIR=
   PATH=(custom, no user)
   LANG=en_US.UTF-8
  Signal: 7
  SourcePackage: gstreamer1.0
  StacktraceTop:
   memset () at ../sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S:186
   _dl_map_segments (loader=0x7ffd5f9af650, has_holes=, 
maplength=, nloadcmds=2, loadcmds=, 
type=, header=, fd=, 
l=0x557b3af33280) at ./dl-map-segments.h:131
   _dl_map_object_from_fd (name=name@entry=0x7f81e7d98acf "libgomp.so.1", 
origname=origname@entry=0x0, fd=, fbp=fbp@entry=0x7ffd5f9af990, 
realname=, loader=loader@entry=0x557b3af2feb0, l_type=, mode=, stack_endp=, nsid=) 
at dl-load.c:1126
   _dl_map_object (loader=0x557b3af2feb0, name=0x7f81e7d98acf "libgomp.so.1", 
type=2, trace_mode=0, mode=, nsid=) at 
dl-load.c:2389
   openaux (a=a@entry=0x7ffd5f9b1020) at dl-deps.c:63
  Title: gst-plugin-scanner crashed with signal 7 in memset()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gstreamer1.0/+bug/1762780/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486] Re: Use LibreOffice Dialogs setting is ignored in KDE

2015-07-06 Thread cleary
@Murz - it's time to upgrade. 14.10 is EOL in 2 weeks!

http://fridge.ubuntu.com/2015/07/03/ubuntu-14-10-utopic-unicorn-reaches-
end-of-life-on-july-23-2015/

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Won't Fix
Status in libreoffice package in Ubuntu:
  Confirmed
Status in qt4-x11 package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  [update]
  This is now affecting packages from main ubuntu (trusty) repositories:
  libreoffice Version: 4.2.8-0ubuntu2 0
  qt4-x11 Version: 4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1
  [/update]

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  Initial report/discussion on LO bugtracker (now closed) here:
  https://bugs.freedesktop.org/show_bug.cgi?id=82598

  [obsolete]
  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu 
security repository.
  [/obsolete]

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486] Re: Use LibreOffice Dialogs setting is ignored in KDE

2015-06-22 Thread cleary
Hi, sorry I've been off getting married :P

It's mentioned further back in the thread:
https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/1359486/comments/15

https://launchpad.net/~bernard-gray/+archive/ubuntu/1359486

Packages for Trusty LTS only I'm afraid. The binary + source package is
so large it can only fit one build in the ppa now

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Won't Fix
Status in libreoffice package in Ubuntu:
  Confirmed
Status in qt4-x11 package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  [update]
  This is now affecting packages from main ubuntu (trusty) repositories:
  libreoffice Version: 4.2.8-0ubuntu2 0
  qt4-x11 Version: 4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1
  [/update]

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  Initial report/discussion on LO bugtracker (now closed) here:
  https://bugs.freedesktop.org/show_bug.cgi?id=82598

  [obsolete]
  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu 
security repository.
  [/obsolete]

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1369673] Re: LibreOffice kde file dialog integration broken (not working) in 14.04

2015-06-04 Thread cleary
I reported this against the Libreoffice PPA packages, but it's now
affecting the main packages in ubuntu:

https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1359486

I'm currently in the process of preparing some workaround packages for
the ppa listed in that thread.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1369673

Title:
  LibreOffice kde file dialog integration broken (not working) in 14.04

Status in libreoffice package in Ubuntu:
  Confirmed
Status in qt4-x11 package in Ubuntu:
  Confirmed

Bug description:
  Screenshot: http://www.dodaj.rs/f/22/pb/1Vu8cW0n/snapshot58.png

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: libreoffice-kde (not installed)
  Uname: Linux 3.16.2-031602-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.4
  Architecture: amd64
  CurrentDesktop: KDE
  Date: Mon Sep 15 19:17:48 2014
  InstallationDate: Installed on 2014-02-02 (224 days ago)
  InstallationMedia: Kubuntu 14.04 LTS Trusty Tahr - Alpha amd64 (20140202)
  SourcePackage: libreoffice
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1369673/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486] Re: Use LibreOffice Dialogs setting is ignored in KDE

2015-06-04 Thread cleary
This is now affecting packages from main ubuntu repositories:
libreoffice Version: 4.2.8-0ubuntu2 0
qt4-x11 Version: 4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1

I'll be updating my ppa shortly

** Summary changed:

- [PPA] Use LibreOffice Dialogs setting is ignored in KDE
+ Use LibreOffice Dialogs setting is ignored in KDE

** Description changed:

  Kubuntu 14.04 (KDE Desktop Environment)
  
- Packages from this ppa:
- https://launchpad.net/~libreoffice
- 
- Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
- or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.
+ [update]
+ This is now affecting packages from main ubuntu repositories:
+ Version: 4.2.8-0ubuntu2 0
+ [/update]
  
  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.
- 
- This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu
- security repository.
  
  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614
  
  According to the LO team, both these bugs have patches that address the
  automatic disabling of Qt dialogs at runtime (if buggy Qt is detected.)
  
+ Initial report/discussion on LO bugtracker (now closed) here:
+ https://bugs.freedesktop.org/show_bug.cgi?id=82598
  
- Initial report/discussion on LO bugtracker (now closed) here: 
https://bugs.freedesktop.org/show_bug.cgi?id=82598
+ [obsolete]
+ Packages from this ppa:
+ https://launchpad.net/~libreoffice
+ 
+ Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
+ or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.
+ 
+ This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu 
security repository.
+ [/obsolete]

** Description changed:

  Kubuntu 14.04 (KDE Desktop Environment)
  
  [update]
  This is now affecting packages from main ubuntu repositories:
- Version: 4.2.8-0ubuntu2 0
+ libreoffice Version: 4.2.8-0ubuntu2 0
+ qt4-x11 Version: 4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1
  [/update]
  
  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.
  
  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614
  
  According to the LO team, both these bugs have patches that address the
  automatic disabling of Qt dialogs at runtime (if buggy Qt is detected.)
  
  Initial report/discussion on LO bugtracker (now closed) here:
  https://bugs.freedesktop.org/show_bug.cgi?id=82598
  
  [obsolete]
  Packages from this ppa:
  https://launchpad.net/~libreoffice
  
  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.
  
  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu 
security repository.
  [/obsolete]

** Changed in: libreoffice (Ubuntu)
   Status: Fix Released = New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Won't Fix
Status in libreoffice package in Ubuntu:
  Confirmed
Status in qt4-x11 package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  [update]
  This is now affecting packages from main ubuntu (trusty) repositories:
  libreoffice Version: 4.2.8-0ubuntu2 0
  qt4-x11 Version: 4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1
  [/update]

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  Initial report/discussion on LO bugtracker (now closed) here:
  https://bugs.freedesktop.org/show_bug.cgi?id=82598

  [obsolete]
  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu 
security repository.
  [/obsolete]

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages

[Touch-packages] [Bug 1359486] Re: Use LibreOffice Dialogs setting is ignored in KDE

2015-06-04 Thread cleary
** Description changed:

  Kubuntu 14.04 (KDE Desktop Environment)
  
  [update]
- This is now affecting packages from main ubuntu repositories:
+ This is now affecting packages from main ubuntu (trusty) repositories:
  libreoffice Version: 4.2.8-0ubuntu2 0
  qt4-x11 Version: 4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1
  [/update]
  
  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.
  
  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614
  
  According to the LO team, both these bugs have patches that address the
  automatic disabling of Qt dialogs at runtime (if buggy Qt is detected.)
  
  Initial report/discussion on LO bugtracker (now closed) here:
  https://bugs.freedesktop.org/show_bug.cgi?id=82598
  
  [obsolete]
  Packages from this ppa:
  https://launchpad.net/~libreoffice
  
  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.
  
  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu 
security repository.
  [/obsolete]

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Won't Fix
Status in libreoffice package in Ubuntu:
  Confirmed
Status in qt4-x11 package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  [update]
  This is now affecting packages from main ubuntu (trusty) repositories:
  libreoffice Version: 4.2.8-0ubuntu2 0
  qt4-x11 Version: 4:4.8.5+git192-g085f851+dfsg-2ubuntu4.1
  [/update]

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  Initial report/discussion on LO bugtracker (now closed) here:
  https://bugs.freedesktop.org/show_bug.cgi?id=82598

  [obsolete]
  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu 
security repository.
  [/obsolete]

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1369673] Re: LibreOffice kde file dialog integration broken (not working) in 14.04

2015-06-04 Thread cleary
*** This bug is a duplicate of bug 1359486 ***
https://bugs.launchpad.net/bugs/1359486

** This bug has been marked a duplicate of bug 1359486
   Use LibreOffice Dialogs setting is ignored in KDE

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1369673

Title:
  LibreOffice kde file dialog integration broken (not working) in 14.04

Status in libreoffice package in Ubuntu:
  Confirmed
Status in qt4-x11 package in Ubuntu:
  Confirmed

Bug description:
  Screenshot: http://www.dodaj.rs/f/22/pb/1Vu8cW0n/snapshot58.png

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: libreoffice-kde (not installed)
  Uname: Linux 3.16.2-031602-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.4
  Architecture: amd64
  CurrentDesktop: KDE
  Date: Mon Sep 15 19:17:48 2014
  InstallationDate: Installed on 2014-02-02 (224 days ago)
  InstallationMedia: Kubuntu 14.04 LTS Trusty Tahr - Alpha amd64 (20140202)
  SourcePackage: libreoffice
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1369673/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486] Re: [PPA] Use LibreOffice Dialogs setting is ignored in KDE

2014-11-25 Thread cleary
@Murz - it's building for utopic now

I'm not planning to support more than I need, but since you asked so
nicely ;)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  [PPA] Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Won't Fix
Status in “libreoffice” package in Ubuntu:
  Fix Released
Status in “qt4-x11” package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu
  security repository.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  
  Initial report/discussion on LO bugtracker (now closed) here: 
https://bugs.freedesktop.org/show_bug.cgi?id=82598

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486]

2014-10-03 Thread cleary
(In reply to Stefan Gruber from comment #13)
 Hello Bernard
 (In reply to comment #12)
  I did a rebuild of qt4-x11 with the patches applied on Ubuntu 14.04.1 and it
  actually resolved the issue...
 
 I read your post before at launchpad, but for my excuse I'm not  familiar
 with the ubuntu world but with opensuse's. Is this patched build publicly
 available yet or is it your private build? What is the easiest way to test
 it?

I've created a ppa with the patched package - right at this moment, the
package has built successfully, but the binaries are pending
publication. By the time you read this I hope it will be ready to go:

https://launchpad.net/~bernard-gray/+archive/ubuntu/1359486

sudo add-apt-repository ppa:bernard-gray/1359486

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  [PPA] Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Confirmed
Status in “libreoffice” package in Ubuntu:
  Fix Released
Status in “qt4-x11” package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu
  security repository.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  
  Initial report/discussion on LO bugtracker (now closed) here: 
https://bugs.freedesktop.org/show_bug.cgi?id=82598

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486]

2014-10-03 Thread cleary
(In reply to comment #11)
 I observed the same problem in opensuse 13.1 from LO 4.2.0 on.
 
 As the named qt-bugs were patched in my latest tests
 (see http://bugzilla.opensuse.org/show_bug.cgi?id=899045) I suppose that the
 cause is on the libreoffice side.
 
 I suppose no actual linux distribution works correct in this way.

Hi Stefan, 
I did a rebuild of qt4-x11 with the patches applied on Ubuntu 14.04.1 and it 
actually resolved the issue...

Info on the launchpad bug:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1359486/comments/14

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  [PPA] Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Confirmed
Status in “libreoffice” package in Ubuntu:
  Fix Released
Status in “qt4-x11” package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu
  security repository.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  
  Initial report/discussion on LO bugtracker (now closed) here: 
https://bugs.freedesktop.org/show_bug.cgi?id=82598

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1369424] Re: LibreOffice windows and dialogs do not receive focus on startup (KDE, Razorqt)

2014-10-02 Thread cleary
** Bug watch added: KDE Bug Tracking System #339621
   https://bugs.kde.org/show_bug.cgi?id=339621

** Also affects: kde-baseapps via
   https://bugs.kde.org/show_bug.cgi?id=339621
   Importance: Unknown
   Status: Unknown

** Project changed: kde-baseapps = kde-workspace (Ubuntu)

** No longer affects: qt4-x11 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1369424

Title:
  LibreOffice windows and dialogs do not receive focus on startup (KDE,
  Razorqt)

Status in “kde-workspace” package in Ubuntu:
  Unknown

Bug description:
  I hope I've got the correct package to log this against.

  Symptom:
  LibreOffice dialogs (such as password prompts, plaintext/csv imports etc) do 
not receive WM focus if a LibreOffice app is running and minimised.
  This causes a fairly severe usability issue, where it seems like LibreOffice 
has crashed, since nothing seems to happen when you click (and continue to 
click) to open a file that requires user action on a dialog.

  I've replicated the issue in KDE and RazorQT which is why I'm logging
  it against this qt-x11 package.

  It affects 12.04 and 14.04 (tested, I imagine there are more)

  The issue does not occur in Unity or Gnome.

  I made two videos - based on:

  Ubuntu 12.04, bog standard install. Add kde via:
sudo apt-get install kubuntu-desktop

  add this ppa: 
https://launchpad.net/~libreoffice/+archive/ubuntu/libreoffice-4-3 
  upgrade all libreoffice packages to 4.3.0.4:
sudo apt-get install $(dpkg -l | grep libreoffice | awk '{print $2}')

  Video 1: Unity Desktop, expected (correct) behaviour
  https://drive.google.com/file/d/0BxhtBAYzjZj5V1V1NjRTRVRKZ0E/edit?usp=sharing

  Video 2: Logged out of Unity, logged into KDE Desktop - unexpected behaviour, 
as described by this bug:
  https://drive.google.com/file/d/0BxhtBAYzjZj5ODZ2RG1GZHZtUEE/edit?usp=sharing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kde-workspace/+bug/1369424/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486] Re: [PPA] Use LibreOffice Dialogs setting is ignored in KDE

2014-10-01 Thread cleary
I've created a ppa with the patched package - right at this moment, the
package has built successfully, but the binaries are pending
publication. By the time you read this I hope it will be ready to go:

https://launchpad.net/~bernard-gray/+archive/ubuntu/1359486

sudo add-apt-repository ppa:bernard-gray/1359486

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  [PPA] Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Won't Fix
Status in “libreoffice” package in Ubuntu:
  Fix Released
Status in “qt4-x11” package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu
  security repository.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  
  Initial report/discussion on LO bugtracker (now closed) here: 
https://bugs.freedesktop.org/show_bug.cgi?id=82598

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1369424] Re: LibreOffice windows and dialogs do not receive focus on startup (KDE, Razorqt)

2014-09-25 Thread cleary
I've logged this with the QT Bugtracker as well:
https://bugreports.qt-project.org/browse/QTBUG-41604

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1369424

Title:
  LibreOffice windows and dialogs do not receive focus on startup (KDE,
  Razorqt)

Status in “qt4-x11” package in Ubuntu:
  New

Bug description:
  I hope I've got the correct package to log this against.

  Symptom:
  LibreOffice dialogs (such as password prompts, plaintext/csv imports etc) do 
not receive WM focus if a LibreOffice app is running and minimised.
  This causes a fairly severe usability issue, where it seems like LibreOffice 
has crashed, since nothing seems to happen when you click (and continue to 
click) to open a file that requires user action on a dialog.

  I've replicated the issue in KDE and RazorQT which is why I'm logging
  it against this qt-x11 package.

  It affects 12.04 and 14.04 (tested, I imagine there are more)

  The issue does not occur in Unity or Gnome.

  I made two videos - based on:

  Ubuntu 12.04, bog standard install. Add kde via:
sudo apt-get install kubuntu-desktop

  add this ppa: 
https://launchpad.net/~libreoffice/+archive/ubuntu/libreoffice-4-3 
  upgrade all libreoffice packages to 4.3.0.4:
sudo apt-get install $(dpkg -l | grep libreoffice | awk '{print $2}')

  Video 1: Unity Desktop, expected (correct) behaviour
  https://drive.google.com/file/d/0BxhtBAYzjZj5V1V1NjRTRVRKZ0E/edit?usp=sharing

  Video 2: Logged out of Unity, logged into KDE Desktop - unexpected behaviour, 
as described by this bug:
  https://drive.google.com/file/d/0BxhtBAYzjZj5ODZ2RG1GZHZtUEE/edit?usp=sharing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/1369424/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1359486] Re: [PPA] Use LibreOffice Dialogs setting is ignored in KDE

2014-09-24 Thread cleary
I've done a rebuild of qt4-x11 source on ubuntu 14.04 and I can confirm that 
the patches at:
https://bugreports.qt-project.org/browse/QTBUG-34614
and
https://bugreports.qt-project.org/browse/QTBUG-38585

do resolve this bug.
 
According to the comment at the bottom of each of these reports:
https://bugreports.qt-project.org/browse/QTBUG-34614?focusedCommentId=247683page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-247683

It requires going through https://codereview.qt-project.org/

Is there any extra work involved to make that happen? I would've thought
that any patches submitted to the bug tracker would be
(semi-)automatically considered for the code review

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1359486

Title:
  [PPA] Use LibreOffice Dialogs setting is ignored in KDE

Status in LibreOffice Productivity Suite:
  Won't Fix
Status in “libreoffice” package in Ubuntu:
  Fix Released
Status in “qt4-x11” package in Ubuntu:
  Confirmed

Bug description:
  Kubuntu 14.04 (KDE Desktop Environment)

  Packages from this ppa:
  https://launchpad.net/~libreoffice

  Version: 4.3.0-3ubuntu2~trusty1 (as reported by dpkg, note updated packages 
as of about 1 hour ago)
  or 4.3.0.4 Build ID: 430m0(Build:4) as reported by LibreOffice about dialog.

  LibreOffice uses it's native filepicker/save dialogs, regardless of
  whether the config option Use LibreOffice Dialogs is ticked or not.

  This is a regression from 4.2.4-0ubuntu2 currently in the main ubuntu
  security repository.

  Related Bugs:
  https://bugreports.qt-project.org/browse/QTBUG-38585
  https://bugreports.qt-project.org/browse/QTBUG-34614

  According to the LO team, both these bugs have patches that address
  the automatic disabling of Qt dialogs at runtime (if buggy Qt is
  detected.)

  
  Initial report/discussion on LO bugtracker (now closed) here: 
https://bugs.freedesktop.org/show_bug.cgi?id=82598

To manage notifications about this bug go to:
https://bugs.launchpad.net/df-libreoffice/+bug/1359486/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1369424] [NEW] LibreOffice windows and dialogs do not receive focus on startup (KDE, Razorqt)

2014-09-15 Thread cleary
Public bug reported:

I hope I've got the correct package to log this against.

Symptom:
LibreOffice dialogs (such as password prompts, plaintext/csv imports etc) do 
not receive WM focus if a LibreOffice app is running and minimised.
This causes a fairly severe usability issue, where it seems like LibreOffice 
has crashed, since nothing seems to happen when you click (and continue to 
click) to open a file that requires user action on a dialog.

I've replicated the issue in KDE and RazorQT which is why I'm logging it
against this qt-x11 package.

It affects 12.04 and 14.04 (tested, I imagine there are more)

The issue does not occur in Unity or Gnome.

I made two videos - based on:

Ubuntu 12.04, bog standard install. Add kde via:
  sudo apt-get install kubuntu-desktop

add this ppa: 
https://launchpad.net/~libreoffice/+archive/ubuntu/libreoffice-4-3 
upgrade all libreoffice packages to 4.3.0.4:
  sudo apt-get install $(dpkg -l | grep libreoffice | awk '{print $2}')

Video 1: Unity Desktop, expected (correct) behaviour
https://drive.google.com/file/d/0BxhtBAYzjZj5V1V1NjRTRVRKZ0E/edit?usp=sharing

Video 2: Logged out of Unity, logged into KDE Desktop - unexpected behaviour, 
as described by this bug:
https://drive.google.com/file/d/0BxhtBAYzjZj5ODZ2RG1GZHZtUEE/edit?usp=sharing

** Affects: qt4-x11 (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: libreoffice

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1369424

Title:
  LibreOffice windows and dialogs do not receive focus on startup (KDE,
  Razorqt)

Status in “qt4-x11” package in Ubuntu:
  New

Bug description:
  I hope I've got the correct package to log this against.

  Symptom:
  LibreOffice dialogs (such as password prompts, plaintext/csv imports etc) do 
not receive WM focus if a LibreOffice app is running and minimised.
  This causes a fairly severe usability issue, where it seems like LibreOffice 
has crashed, since nothing seems to happen when you click (and continue to 
click) to open a file that requires user action on a dialog.

  I've replicated the issue in KDE and RazorQT which is why I'm logging
  it against this qt-x11 package.

  It affects 12.04 and 14.04 (tested, I imagine there are more)

  The issue does not occur in Unity or Gnome.

  I made two videos - based on:

  Ubuntu 12.04, bog standard install. Add kde via:
sudo apt-get install kubuntu-desktop

  add this ppa: 
https://launchpad.net/~libreoffice/+archive/ubuntu/libreoffice-4-3 
  upgrade all libreoffice packages to 4.3.0.4:
sudo apt-get install $(dpkg -l | grep libreoffice | awk '{print $2}')

  Video 1: Unity Desktop, expected (correct) behaviour
  https://drive.google.com/file/d/0BxhtBAYzjZj5V1V1NjRTRVRKZ0E/edit?usp=sharing

  Video 2: Logged out of Unity, logged into KDE Desktop - unexpected behaviour, 
as described by this bug:
  https://drive.google.com/file/d/0BxhtBAYzjZj5ODZ2RG1GZHZtUEE/edit?usp=sharing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/1369424/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp